﻿$(function(){
	var setArea = $('#loadarea'),
	loadNum = 5, // 読み込む個数
	loadTxt = 'Now Loading...', // Loading中の表示テキスト
	fadeSpeed = 500; // フェードスピード

	$(window).load(function(){
		var loadWinHeight = $(window).height(),loadDocHeight = $(document).height();
		if(loadWinHeight >= loadDocHeight){
			scrollLoad();
		}
	}).scroll(function(){
		scrollLoad();
	});

	loadFlg = true;

	function scrollLoad(){
		var winHeight = window.innerHeight ? window.innerHeight : $(window).height(),
		posBottom = $(document).height() - winHeight;
		if($(this).scrollTop() >= posBottom) {
			if(loadFlg){
				loadFlg = false;

				$.ajax({
					url: 'js/include.json',
					dataType: 'json',
					success : function(data){
						var dataLengh = data.length,
						loadItemLength = setArea.find('.loadItem').length,
						setAdj = (dataLengh)-(loadItemLength),
						setBeg = (dataLengh)-(setAdj);
						if(!(dataLengh == loadItemLength)){
							setArea.append('<div id="nowLoading">' + loadTxt + '</div>');
							if(loadItemLength == 0){
								for (var i=0; i<loadNum; i++) {
									$('<div id="item' + data[i].itemNum + '" class="loadItem">' + data[i].itemSource + '</div>').appendTo(setArea).css({opacity:'0'}).animate({opacity:'1'},fadeSpeed);
								}
							} else if(loadItemLength > 0 && loadItemLength < dataLengh){
								if(loadNum < setAdj){
									for (var i=0; i<loadNum; i++) {
										v = i+setBeg;
										$('<div id="item' + data[v].itemNum + '" class="loadItem">' + data[v].itemSource + '</div>').appendTo(setArea).css({opacity:'0'}).animate({opacity:'1'},fadeSpeed);
									}
								} else if(loadNum >= setAdj){
									for (var i=0; i<setAdj; i++) {
										v = i+setBeg;
										$('<div id="item' + data[v].itemNum + '" class="loadItem">' + data[v].itemSource + '</div>').appendTo(setArea).css({opacity:'0'}).animate({opacity:'1'},fadeSpeed);
									}
								}
							} else if(loadItemLength == dataLengh){
								return false;
							}
						} else {
							return false;
						}
					},
					complete : function(){
						$('#nowLoading').each(function(){
							$(this).remove();
						});
						setTimeout(function(){
							loadFlg = true;
						},500);
						return false;
					}
				});
				return false;
			}
		}
	}
});
